Bug 1247320 - Fix limitation in lsof regarding dual-stack sockets
Fix limitation in lsof regarding dual-stack sockets
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lsof (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Rybar
BaseOS QE - Apps
: FutureFeature
Depends On: 1247553
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 14:47 EDT by Phil Sutter
Modified: 2017-07-25 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Sutter 2015-07-27 14:47:44 EDT
Listening AF_INET6 sockets are dual-stack capable if IPV6_V6ONLY sockopt is not set for them, effectively making them combined sockets for AF_INET as well as AF_INET6. Though when listing AF_INET sockets using 'lsof +c 0 -n -P -i4', they don't appear in the output.

Ideally lsof should list these sockets regardless of what address family has been selected.

As there is no information about sockopts for a given socket available in /proc, this ticket probably needs another one for the kernel space counterpart.
Comment 2 Peter Schiffer 2015-07-28 05:28:30 EDT
Hi Phil,

lsof only reads and displays information provided by kernel and if no such info is provided, lsof won't be implementing it. So, could you please create also ticket for the kernel and set depends on field on this one?

Thank you.

peter
Comment 3 Phil Sutter 2015-07-28 06:07:57 EDT
Hi Peter,

Created the ticket as requested. Thanks for the review!

Cheers, Phil

Note You need to log in before you can comment on or make changes to this bug.